Package org.eclipse.microprofile.fault.tolerance.tck.illegalConfig

# Class IncompatibleFallbackHandler

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.illegalConfig.IncompatibleFallbackHandler

All Implemented Interfaces:
  `FallbackHandler<String>`

@Dependent public class IncompatibleFallbackHandler extends Object implements FallbackHandler<String>
A fallback handler to recover and return a string object.

Author:
  Emily Jiang, John D. Ament

## Constructor Summary

Constructors
Constructor
Description
`IncompatibleFallbackHandler()`

## Method Summary

Modifier and Type
Method
Description
`String`
`handle(ExecutionContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IncompatibleFallbackHandler

public IncompatibleFallbackHandler()

## Method Details

### handle

public String handle(ExecutionContext context)

Specified by:
  `handle` in interface `FallbackHandler<String>`